#include <iostream>
#include <algorithm>
using namespace std;

int trazeni(int a[], int n, int x)
{
	int manje = 0, jednako = 0;
	for(int i = 0; i < n; i++)
	{
		if(a[i] == x)
			jednako++;
		if(a[i] < x)
			manje++;
	}
	
	if(manje < n - manje)
		return (n - 2*manje - jednako);
	else
		return (2*manje - n); 
}

int main()
{
	int n, q;
	cin >> n >> q;
	
	int a[n], b[q];
	
	for(int i = 0; i < n; i++)
	{
		cin >> a[i];
	}
	
	for(int i = 0; i < q; i++)
	{
		cin >> b[i];
	}
	
	sort(a, a+n);
	
	for(int i = 0; i < q; i++)
	{
		cout << trazeni(a, n, b[i]) << endl;
	}
	
	return 0;
}